summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 1abacf3)
raw | patch | inline | side by side (parent: 1abacf3)
author | Junio C Hamano <junkio@cox.net> | |
Mon, 28 Nov 2005 07:16:15 +0000 (23:16 -0800) | ||
committer | Junio C Hamano <junkio@cox.net> | |
Tue, 29 Nov 2005 07:13:03 +0000 (23:13 -0800) |
Signed-off-by: Junio C Hamano <junkio@cox.net>
git-branch.sh | patch | blob | history |
diff --git a/git-branch.sh b/git-branch.sh
index 4cd5da16f74cee6e277d33bce74242496eca94fe..b48c32988fc16fe9d221cca18c1030bbaaa5838b 100755 (executable)
--- a/git-branch.sh
+++ b/git-branch.sh
#!/bin/sh
-. git-sh-setup
+GIT_DIR=`git-rev-parse --git-dir` || exit $?
usage () {
echo >&2 "usage: $(basename $0)"' [-d <branch>] | [[-f] <branch> [start-point]]
exit 1
}
-headref=$(GIT_DIR="$GIT_DIR" git-symbolic-ref HEAD |
- sed -e 's|^refs/heads/||')
+headref=$(git-symbolic-ref HEAD | sed -e 's|^refs/heads/||')
delete_branch () {
option="$1"
fi
fi
git update-ref "refs/heads/$branchname" $rev
-